<?php

namespace Modules\Lpj\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Modules\Usermanagement\Models\User;

// use Modules\Lpj\Database\Factories\PermohonanHistoryFactory;

class PermohonanHistory extends Base
{
    protected $fillable = [
        'permohonan_id',
        'status',
        'keterangan',
        'before_request',
        'after_request',
        'file_path',
        'user_id'
    ];


    public function permohonan()
    {
        return $this->belongsTo(Permohonan::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
